#ifndef common_objects_types_h
#define common_objects_types_h

namespace binary
{
	//
	// Objects types constants
	namespace types
	{
		enum
		{
			// literals
			numeric = 0,
			boolean,
			string,
			character,
			symbol,
			pair,
			empty_list,

			// code
			call,
			lambda,
			if_,
			cond,
			and_,
			or_,

			// link
			link
		};
	}
}
#endif
