#ifndef compiler_linker_linker_h
#define compiler_linker_linker_h

#include "../syntacter/syntacter.h"
#include "../utils/pointer_vector.h"

#include "linker_object.h"

namespace linker
{
	//
	// Program
	class program
	{
	public:

		program(syntacter::program& p);
		~program();

		size_t size() const;
		const object& operator[] (size_t i) const;
		
	private:

		pointer_vector<object> m_objects;
	};

};
#endif
