#ifndef compiler_syntacter_syntacter_literal_h
#define compiler_syntacter_syntacter_literal_h

#include "syntacter_expression.h"

namespace syntacter
{
	/*
	<datum> ::= <simple datum> | <compound datum>
		<simple datum> ::= <boolean> | <character> | <string> 
							| <number> | <symbol>
			<symbol> ::= <identifier>
		<compound datum> ::= <list>
		<list> ::= ( <datum>* ) | ( <datum>+ . <datum> ) | <abbreviation>
			<abbreviation> ::= <abbrev prefix> <list>
				<abbrev prefix> ::= 
	*/

	expression::base* read_literal(stream::input<lexer::token>& i);
}

#endif
