#ifndef executer_object_object_stdfunc_h
#define executer_object_object_stdfunc_h

#include "object_base.h"
#include "../../__common/standard_functions_codes.h"
#include "../../__common/binaries.h"

namespace object
{
	//
	// stdfunc object
	class stdfunc : public base
	{
	public:

		static proxy create(binary::link l);

		virtual proxy apply(bool separable, size_t argc, const proxy* args) const;
		virtual std::string toString() const;

	private:

		stdfunc(int code);

	private:

		int m_code;
	};
}

#endif
