#ifndef common_standard_functions_codes_h
#define common_standard_functions_codes_h

namespace binary
{
	namespace stdfunc
	{
		//
		// Standard functions codes
		enum
		{
			equivalence = 0,

			// math
			plus,
			minus,
			multiplication,
			division,
			sine,
			cosine,
			tangent,
			arcsine,
			arccosine,
			arctangent,
			exponent,
			logarithm,
			
			// lists
			car,
			cdr,
			cons,
			list,
			length,
			map,

			// is type
			isNull,
			isReal,
			isPair
		};
	}
}
#endif
