#ifndef dump_utils_file_h
#define dump_utils_file_h

#include <stdio.h>

class CFile
{
public:

	CFile();
	~CFile();

	bool create(const char* name);
	bool createReadOnly(const char* name);
	bool openForRead(const char* name);

	long length();
	bool read(char* buff, size_t len);
	bool write(const char* buff, size_t len);

private:

	FILE* m_file;
};

#endif
