#ifndef executer_utils_timer_h
#define executer_utils_timer_h

#include <sys/timeb.h>

class timer
{
public:

	timer()
	{
		ftime(&m_t);
	}

	time_t get()
	{
		timeb tmp;		
		ftime(&tmp);

		return (tmp.time - m_t.time) * 1000 + (tmp.millitm - m_t.millitm);
	}

private:

	timeb m_t;
};

#endif // executer_utils_timer_h